// Package-Deklaration muss Verzeichnis-Struktur entsprechen
package reichert._00_processing_in_eclipse;

// PApplet ist die Schnittstelle zu Processing
import processing.core.PApplet;

// die eigene Klasse muss zwingend in einer Datei mit gleichem Namen gespeichert sein
public class HintergrundPulsierend extends PApplet {

	// ignorieren: nur aus technischen Grnden, damit Eclipse keine unntige
	// Warning anzeigt
	private static final long serialVersionUID = 1L;

	// eigene Variablen
	int breite = 400;
	int hoehe = 300;
	int anzahlFrames = 50; // schneller als normal

	// diese Methode wird von Processing genau einmal zu Beginn aufgerufen
	public void setup() {
		size(breite, hoehe); // setzt die Grsse des Ausgabefensters
		frameRate(anzahlFrames); // setzt die Anzahl Wiederholungen / Sekunde
	}

	// diese Methode wird von Processing pro Sekunde so oft aufgerufen, wie
	// mit frameRate(rate) angegeben
	public void draw() {
		// frameCount gibt an, zu wievielten Mal draw() aufgerufen wird.
		// die Anteile rot, grn, blau werden unterschiedlich schnell erhht;
		// mittels % wird sichergestellt, dass die Werte immer im Bereich 0..255
		// bleiben.
		background(frameCount % 256, (frameCount * 2) % 256,
				(frameCount * 4) % 256); // setze Hintergrundsfarbe
	}

}
